plotit(1)

NAME
plotit - experiment data visualization

SYNOPSIS
plotit -w FILE
plotit [-lp] -q FILE [FILE]...
plotit [-lp] Y FILE [FILE...]
plotit [-lp] X Y FILE [FILE...]

DESCRIPTION
The plotit program is a simple plotting program which can draw line plots and stripcharts using a command language similar to that of gnuplot. It can also make quick plots of multiple data files from the command-line. Wildcards may be used in the file names.

The program takes optional expressions which can be used to manipulate data columns before plotting. Expressions may be as simple as the designation of a column to be plotted or may contain arithmetic expressions and functions. In the latter case the espression must be enclosed in 'single' or "double" quotation marks. Column numbers are designated by the at-sign character (@). A single expression is used for the Y axis of the plot.

OPTIONS

-h, --help
    Print the usage and exit.

--version
    Print the version number and exit.

-w  Watch the input file for commands to stripchart, or wait to read all of stdin before plotting. Only one file or - for stdin may be specified with this option. No other options may be used in conjuction with this option.

-q  Plot the first and second columns of each file.

-l  Plot with lines.

-p  Plot with points.

EXAMPLES

Plot the second column versus the first of all three files with lines only.

    plotit -lq file1.dat file2.dat file3.dat

Plot the quotient of the third column and the second column versus the first column of all files matching the pattern using points only.

    plotit -p '@3/@2' file??.dat

Plot the natural log of the second column divided by the third column versus the fourth column. By default these data are plotted with both lines and points.

    plotit @4 'log(@2/@3)' file.dat

AUTHOR
This manual page was written by Carlo Segre <segre@iit.edu>.